#include "xhbasic.h"
#include "numbers.h"
#include "digits.xpm"

Pixmap digitpm = 0,digitmask = 0;

NumberSprite::NumberSprite(XhedgehogWin *xw,float _x,float _y,
			   unsigned int *v,unsigned int n) :
  MultiframeSprite(xw,_x,_y,0,0,10,1) {
    if(!digitpm) {
      xw->LoadPixmap(digits_xpm,&digitpm,&digitmask);
    }
    ChangeSpriteShape(digitpm,digitmask);
    val = v;
    ndigits = n;
    scx = cx;
    cx *= n;
}

void NumberSprite::RenderSprite(Drawable d) {
  unsigned int v = *val;
  float tx = x;
  for(int j=ndigits - 1;j >= 0;j--) {
    frame = v % 10;
    x = tx + (scx * j);
      MultiframeSprite::RenderSprite(d);
    v /= 10;
    if(v <= 0) break;
  }
  x = tx;
}
    
